﻿
.header-link-box{
    display: block;
    position: absolute;
    right: 0;
    top: 0;
}

.header-style4 .header-menu li.header1-menu-logo:after{
    display: none;
}
/* ---------------------header3------------------------------ */
.header-style3{
    width: 100%;
    display: block;
    background-color: #FFF;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
}
.header-style3 .header-logo{
    width: 73px;
    display: block;
    max-width: 100%;
    display: block;
    float: left;
}
.rwd-menu{
    display: none;
}
.header-style3 .header-menu-box{
    display: block;
    float: right;
    text-align: right;
}
.header-style3 .index-header-link-box{
    display: none;
}
.header-style3 .header-menu{
    display: block;
    margin-top: 35px;
}
.header-style3 .header-menu-list{
    display: inline-block;
    font-size: 16px;
    letter-spacing: 1px;
    position: relative;
    padding: 0 20px;
}
.header-style3 .header-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
}
.header-style3 .header-link-box{
    display: block;
    position: absolute;
    right: 0;
    top: 5px;

}
.header-style3 .header-member-title{
    font-size: 14px;
    color: #555;
    display: inline-block;
}

.header-style3 .header-member,
.header-shopcar-products,
.header-shopcar-box,
.header-member-box,
.header-style3 .header-buycar
{
    display: inline-block;
    vertical-align: top;
}
.header-style3 .header-buycar{
    font-size: 14px;
    color: #555;
}
.header-style3 .header-shopcar-info-box{
    transform: scale(1, 0);
    transition: all .3s linear;
    position: absolute;
}
.header-style3 .header-member-box{
    padding-right: 10px;
}

/* ---------------------header4(土虱)------------------------------ */
.header-style4{
    width: 100%;
    display: block;
    position: absolute;
    z-index: 999;
    top: 0;
    left: 0;
}
.header-style4 .header-box{
    width: 100%;
    display: block;
    position: absolute;
    top: 35px;
    right: 35px;
}
.header-style4 .header-menu{
    font-size: 0px;
    text-align: right;
}
.header-style4 .header-menu li{
    display: inline-block;
    color: #FFF;
    letter-spacing: 8px;
    margin-right: 15px;
    -webkit-writing-mode: vertical-rl;
    writing-mode: vertical-rl;
    font-family: 'cwTeXFangSong';
    transition: all .3s linear;
    position: relative;
}
.header-style4 .header-menu li:last-child{
    margin-right: 0;
}
.header-style4 .header-menu .header-menu-title{
    font-size: 26px;
}
.header-style4 .header-menu2-box{
    position: fixed;
    top: -200px;
    transition: all 1.2s ease;
    width: 100%;
    display: block;
    background-color: #FFF;
    box-sizing: border-box;
    padding: 10px 50px;
     font-size: 0;
    box-shadow: rgba(0,0,0,0.8)0px 2px 2px;
}
.header-style4 .header-menu-logo{
    font-family: 'cwTeXFangSong';
    font-size: 24px;
    letter-spacing: 2px;
}
.header-style4 .header-menu2 .header-menu-title{
    font-size: 24px;
    letter-spacing: 2px;
    font-family: 'cwTeXFangSong';
}
.header-style4 .header-menu2-box li{
    display: inline-block;
    padding: 0 10px;
}
.header-style4 .header-menu-logo{
    display: inline-block;
    width: 300px;
    max-width: 100%;
}
.header1-menu-logo{
    display: inline-block;
    width: 100px;
    max-width: 100%;
}
.header-style4.header2 .header-menu2-box{
    top: 0;
    display: block;
   
}
.header-style4 .header-menu2{
    display: inline-block;
    width: calc(100% - 300px);
    text-align: right;
}

/* -------------------------------------------------------------- */
.header2.header-style2 .rwd-menu{
    background-color: #01344f;
}
.header2.header-style2 .rwd-menu span{
    background-color: #FFF;
}
.header-menu-list-box li{
    margin-bottom: 30px
}

.header-menu-title{
    font-size: 18px;
    position: relative;
}
div.header-menu-title{
    cursor: context-menu;
}


.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}

/*----------------------------------*/
.rwd-menu{
    width: 59px;
    position: absolute;
    right: 3%;
    top: 28px;
    z-index: 99999;
    display: none;
}
.rwd-menu span{
    width: 30px;
    display: block;
    margin: 0 auto;
    height: 4px;
    background-color: #000;
    position: relative;
}

.rwd-menu span:nth-child(even){
    margin: 4px auto;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(4){
    top: -16px;
    transform:  scale(0) rotate(-45deg);
}

.rwd-menu.active span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0;
}

.rwd-menu.active span:nth-child(2){
    transform: rotate(45deg);
    transition: all .4s linear;
}
.rwd-menu.active span:nth-child(4){
    transform: scaleX(1) rotate(-45deg);
    transition-delay: 0.3s;
}
.rwd-menu.active span{
    background-color: #000;
}



@media only screen and (max-width: 1200px){
    .header-style1 .header-box{
        width: 95%;
        margin: 0 auto;
    
    }
    .header-style2 .header-menu ul{
        width: 100%;
    }
}

@media only screen and (max-width: 1000px){
    .header-style1 .rwd-menu{
        display: block;
    }
    .header-style1 .rwd-menu span{
        background-color: #FFF;
    }
    .header-style1 .rwd-menu{
        top: 18px;
    }
    .header-style1 .header-menu{
        width: 300px;
        float: none;
        position: absolute;
        left: -300px;
        top: 0;
        height: 100vh;
        transition: all .3s linear;
        background-color: rgba(58, 145, 199, 1);
        z-index: 9;
    }
    .header-style1  .header-menu li{
        width: 100%;
        display: block;
    }

    .header-style1  .header-style1 .header-menu.open{
        left: 0;
    }
    .header-style1  .header-menu-list-box{
        transform: scale(1, 1);
        width: 300px;
        left: -300px;
        transition: all .3s linear;
        position: fixed;
        top: 0;
        height: 100vh;
        background-color: #000;
        z-index: 9;
    }
    .header-style1  .header-menu-list-box.open{
        left: 0;
    }
    .header-style1  .header-menu-list-box li{
        background-color: transparent;
    }
    .header-style1  .rwd-menu-list-back{
        display: block;
        color: #FFF;
        text-align: right;
        padding: 20px 0;
        border-bottom: 1px solid #EEE;
        width: 100%;
        box-sizing: border-box;
        padding-right: 20px;
    }
    .header-style1  .header-menu li{
        width: 100%;
        padding: 0;
    }
    .header-style1 .header-menu-list{
        padding: 10px 0;
        padding-left: 10px;
        box-sizing: border-box;
        border-bottom: 1px solid #FFF;
    }
}



.spinner {
  margin: 100px auto;
  width: 40px;
  height: 40px;
  position: relative;
  text-align: center;
  
  -webkit-animation: sk-rotate 2.0s infinite linear;
  animation: sk-rotate 2.0s infinite linear;
}

.dot1, .dot2 {
  width: 60%;
  height: 60%;
  display: inline-block;
  position: absolute;
  top: 0;
  background-color: #333;
  border-radius: 100%;
  
  -webkit-animation: sk-bounce 2.0s infinite ease-in-out;
  animation: sk-bounce 2.0s infinite ease-in-out;
}

.dot2 {
  top: auto;
  bottom: 0;
  -webkit-animation-delay: -1.0s;
  animation-delay: -1.0s;
}

@-webkit-keyframes sk-rotate { 100% { -webkit-transform: rotate(360deg) }}
@keyframes sk-rotate { 100% { transform: rotate(360deg); -webkit-transform: rotate(360deg) }}

@-webkit-keyframes sk-bounce {
  0%, 100% { -webkit-transform: scale(0.0) }
  50% { -webkit-transform: scale(1.0) }
}

@keyframes sk-bounce {
  0%, 100% { 
    transform: scale(0.0);
    -webkit-transform: scale(0.0);
  } 50% { 
    transform: scale(1.0);
    -webkit-transform: scale(1.0);
  }
}

.close{
    overflow: hidden;
}